import { Hit } from "../../interfaces/frontend"
import { faBurst, faXmark } from "@fortawesome/pro-solid-svg-icons"
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome"
import { useGameProps } from "@hooks/useGameProps"
import { CSSProperties } from "react"

function HitElems({
  props,
}: {
  props?: { hits: Hit[]; colorOverride?: string }
}) {
  const { hits } = useGameProps()

  return (
    <>
      {(props?.hits ?? hits).map(({ hit, x, y }, i) => (
        <div
          key={i}
          className="hit-svg"
          style={{ "--x": x, "--y": y } as CSSProperties}
        >
          <FontAwesomeIcon
            icon={hit ? faBurst : faXmark}
            style={
              {
                color: props?.colorOverride || (hit ? "red" : undefined),
              } as CSSProperties
            }
          />
        </div>
      ))}
    </>
  )
}

export default HitElems
